Skip to main content
POST
/
openapi
/
v1
/
events
/
invoke
Expert invoke event (METERED)
curl --request POST \
  --url https://app.profy.cn/openapi/v1/events/invoke \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expert_identifier": "<string>",
  "message": "<string>",
  "session_id": "<string>",
  "model": "<string>"
}
'
import requests

url = "https://app.profy.cn/openapi/v1/events/invoke"

payload = {
"expert_identifier": "<string>",
"message": "<string>",
"session_id": "<string>",
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expert_identifier: '<string>',
message: '<string>',
session_id: '<string>',
model: '<string>'
})
};

fetch('https://app.profy.cn/openapi/v1/events/invoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

OAuth2 access token issued via POST /oauth/token

Body

application/json
expert_identifier
string
required

Expert identifier

message
string
required

User message

session_id
string

Existing session ID to continue conversation

model
string

Override model selection

Response

SSE stream with agent response